<?session_start();
//RESTRICCIÃÂN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
$enlace=cargar_conexion();
$accion=$_REQUEST["accion"];
$mensaje='';
$entro=0;
///=====================================================================================================================
if ($_POST['bandera']=='1') {		
	if ($_POST['login']!='' && $_POST['clave']!='' && $_POST['detalle']!='' && $_POST['empresa']!='') {			
		$_POST['db']=str_replace(" ","",trim($_POST['db']));
		$query="Select * from tab_usuario where empresa='".$_POST['empresa']."'";
		$consulta = mysqli_query($enlace,$query) or die ("no se pudo leer las empresas...");	
		if (mysqli_num_rows($consulta)==0) {	
			$sql="insert into `tab_usuario` (modo,tipo,usuario,clave,detalle,acceso,empresa,id) VALUES ('".$_POST['modo']."','".$_POST['tipo']."','".$_POST['login']."', '".$_POST['clave']."', '".$_POST['detalle']."', '1111111111111110111111111111111111111111','".$_POST['empresa']."','".$_POST['id']."');";
			$consulta=mysqli_query($enlace,$sql);
			$consulta=mysqli_query($enlace,"insert into empresa (id) values('".$_POST['id']."') ");
			$mensaje = "Base de Datos Creada...";
			$entro=1;
		} else $mensaje='Empresa Existe...';	
	} else $mensaje='Falta un Dato, verifique...';	
}		

menu();

//========================================= validar y buscar nombre de empresa
$query="Select * from tab_usuario order by id desc";
$consulta = mysqli_query($enlace,$query) or die ("no se pudo leer las empresas...");	
$row1 = mysqli_fetch_array($consulta);
$id=$row1['id']+1;
mysqli_free_result($consulta);

//========================================= pantalla inicial
if (!$_POST || $entro==0) {		
			echo "<center><br><br><br><font face='verdana' size='3' color='black'>Creaci&oacute;n de las BASES DE DATOS</font></center><br><hr>
			<br><form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'>
			<input type = 'hidden' name = 'bandera' value = '1'>
			<input type = 'hidden' name = 'id' value = '".$id."'>
			<table border=0 align='center'>";
				echo "<tr>
					<td align='right'> <font face='verdana' size='2' color='black'>Empresa:</font></td>
					<td> <input type='text' name='empresa' size='50' maxlenght='50' value='".$_POST['empresa']."'> </td>
				</tr>";
				echo "<tr>
					<td align='right'> <font face='verdana' size='2' color='black'>Nombre y Apellido del Usuario:</font></td>
					<td> <input type='text' name='detalle' size='50' maxlenght='50' value='".$_POST['detalle']."'> </td>
				</tr>";
				echo "<tr>
					<td align='right'> <font face='verdana' size='2' color='black'>Login de acceso:</font></td>
					<td> <input type='text' name='login' size='50' maxlenght='50' value='".$_POST['login']."'> </td>
				</tr>";
				echo "<tr>
					<td align='right'> <font face='verdana' size='2' color='black'>Password de acceso:</font></td>
					<td> <input type='text' name='clave' size='50' maxlenght='20' value='13579'> </td>
				</tr>";				
				echo "<tr>
					<td align='right'> <font face='verdana' size='2' color='black'>Modo:</font></td>
					<td> <select name='modo'><option value='0'>Empresarial<option value='1'>Profesional<option value='2'>Personal</select></td>
				</tr>";				
				echo "<tr>
					<td align='right'> <font face='verdana' size='2' color='black'>Tipo:</font></td>
					<td> <select name='tipo'><option value='0'>Grupo ConsultaRH<option value='1'>Grupo Pedidos Moviles</select></td>
				</tr>";				
				echo "<tr>
					<td align = 'right'><font face='verdana' size='2' color='black'>Validar Operaci&oacute;n? (SI): </font></td>
					<td align = 'left'> <input type = 'text' name = 'si' size = '5' maxlength = '2' </td>
				</tr>
				<tr>
					<td align='right'></td>
					<td><input type='submit' name='Validar'  value='Crear Empresa?' ></td>
				</tr>
			</table>		
			</form> <br> ";
			echo "<script language='JavaScript' type='text/JavaScript'>";
			echo "document.entrada.empresa.focus();";
			echo "</script>	";
}
echo "<b><center><font face='verdana' size='2' color='red'>".$mensaje."</font></b></center>";	

//===================================================== eliminar empresa
//===================================================== eliminar empresa
if ($accion!='') {
	$consulta="delete from tab_usuario where id='".$accion."'";
	$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
	echo "<b><center><font face='verdana' size='2' color='red'>Id Eliminado: $accion</font></b></center>";	
}
//===================================================== eliminar empresa
//===================================================== eliminar empresa

/* comentado por Miguelange--- cambiÃÂÃÂÃÂÃÂ© toda la consulta que era de la tabla "tab_usuario" a la tabla "empresa"
$consulta="Select id, empresa,detalle from tab_usuario group by id order by empresa,detalle";
$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
$num_rows = mysqli_num_rows($resultado);
if ($num_rows != 0){
		echo "<table rules=none border=0 cellpadding=2 cellspacing=0 align='center'>";
		echo "<tr bgcolor='#43bced' height='35'>";
			echo "<th align = left><font color='white'> # </font></th>";
			echo "<th align = left><font color='white'> Detalle de la Empresa </font></th>";
			echo "<th align = left><font color='white'> Contacto Principal </font></th>";
			echo "<th align = left><font color='white'> Id de Empresa </font></th>";
			echo "<th align = left><font color='white'> Eliminar? </font></th>";
		echo "</tr>";
		$van=0;
		for ($cont=0;$cont<$num_rows;$cont++) {
				$row = mysqli_fetch_array($resultado);
				if ($color) $tcolor="#dfdfd0";
				else $tcolor="white";
				$van++;
				echo '<tr bgcolor='.$tcolor.' >';
					echo "<td width='35'>".($van)."</td>";
					echo "<td width='300' height='40'>".$row['empresa']."</td>";
					echo "<td width='300'>".$row['detalle']."</td>";
					echo "<td width='200'>".$row['id']."</td>";
					echo "<td width='50' align=center><a onclick='return validar_elimina()' style='color:red;text-decoration:none' href='master_empresa.php?accion=".$row['id']."'><img src='images/b_elimina.png'></a></td>";
				echo '</tr>';
				$color=!$color;
		}
		echo '</table>';
*/
$consulta="Select id, nombre from empresa GROUP BY id order by nombre";
$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
$num_rows = mysqli_num_rows($resultado);
if ($num_rows != 0){
		echo "<table rules=none border=0 cellpadding=2 cellspacing=0 align='center'>";
		echo "<tr bgcolor='#43bced' height='35'>";
			//echo "<th align = left><font color='white'> # </font></th>";
			echo "<th align = left><font color='white'> Detalle de la Empresa </font></th>";
			echo "<th align = left><font color='white'> Contacto Principal </font></th>";
			echo "<th align = left><font color='white'> Id de Empresa </font></th>";
		//	echo "<th align = left><font color='white'> Eliminar? </font></th>";
		echo "</tr>";
		$van=0;
		for ($cont=0;$cont<$num_rows;$cont++) {
				$row = mysqli_fetch_array($resultado);
				if ($color) $tcolor="#dfdfd0";
				else $tcolor="white";
				$van++;
				echo '<tr bgcolor='.$tcolor.' >';
					//echo "<td width='35'>".($van)."</td>";
					echo "<td width='300' height='40'>".$row['nombre']."</td>";
					echo "<td width='300'>".$row['detalle']."</td>";
					echo "<td width='200'>".$row['id']."</td>";
					//echo "<td width='50' align=center><a onclick='return validar_elimina()' style='color:red;text-decoration:none' href='master_empresa.php?accion=".$row['id']."'><img src='images/b_elimina.png'></a></td>";
				echo '</tr>';
				$color=!$color;
		}
		echo '</table>';
}  		
mysqli_free_result($resultado);
mysqli_close($enlace);
?>			
<br><br>				
</body>
</html>